package com.ruoyi.postCheck.domain.history;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@EqualsAndHashCode
@Data
@ApiModel(value = "岗检历史统计")
public class CheckStatisticsView implements Serializable {

    /*
    [
        {
        name: '检查部门',
        postNum: '48岗位'
        },
        {
        name: '检查岗位',
        postNum: '2410岗位'
        },
        {
        name: '有效性问题',
        postNum: '48个'
        },
        {
        name: '适宜性问题',
         postNum: '48个'
        },
        {
        name: '完整性问题',
         postNum: '48个'
        },
        {
        name: '问题总量',
         postNum: '48个'
        },
        {
        name: '已整改问题',
         postNum: '48个'
        }
    ]*/
    // 问题属性（1-完整问题；2-有效性问题；3-适宜性问题；）
    @ApiModelProperty("key值：1-检查部门；2-岗检岗位；3-完整性问题；4-有效性问题；5-适宜性问题；6-问题总数；7-已整改问题；")
    private Integer value;
    @ApiModelProperty("前端显示的名称")
    private String name;
    @ApiModelProperty("统计的数量")
    private int postNum;


    public void setValue(Integer value) {
        this.value = value;


        switch (value) {
            case 1: {
                setName("检查部门");
                break;
            }
            case 2: {
                setName("岗检岗位");
                break;
            }
            case 3: {
                setName("完整性问题");
                break;
            }
            case 4: {
                setName("有效性问题");
                break;
            }
            case 5: {
                setName("适宜性问题");
                break;
            }
            case 6: {
                setName("问题总数");
                break;
            }
            case 7: {
                setName("已整改问题");
                break;
            }
            default:
                setName("Other");
                break;
        }
    }
}
